cdac.medinfo.model

## Class Immunizations

- java.lang.Object
- - cdac.medinfo.model.Immunizations

-     public class Immunizations
      extends java.lang.Object

  This class specify Immunizations Section Details. The Immunizations section defines a patient's current immunization status and pertinent immunization history.

  This class has the following attributes:

  1. Vaccine (String)
  2. date (EffectiveDateTime)
  3. Status (String)
  4. moodOfVaccine (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Immunizations()` Default constructor of Immunizations.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectiveDateTime` | `getDate()` Returns the Date of Vaccination.
    `java.lang.String` | `getMoodOfVaccine()` Returns the Mood Of Vaccine.
    `java.lang.String` | `getStatus()` Returns the Status of Vaccination.
    `java.lang.String` | `getVaccine()` Returns the Vaccine.
    `void` | `setDate(EffectiveDateTime date)` Sets the Date of Vaccination.
    `void` | `setMoodOfVaccine(java.lang.String moodOfVaccine)` Sets the Mood Of Vaccine.
    `void` | `setStatus(java.lang.String status)` Sets the Status of Vaccination.
    `void` | `setVaccine(java.lang.String vaccine)` Sets the Vaccine.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Immunizations

          public Immunizations()

      Default constructor of Immunizations.

  - ### Method Detail

    - #### getVaccine

          public java.lang.String getVaccine()

      Returns the Vaccine.
      Returns:
        the vaccine

    - #### setVaccine

          public void setVaccine(java.lang.String vaccine)

      Sets the Vaccine.
      Parameters:
        `vaccine` - Specifies the Vaccine.

    - #### getDate

          public EffectiveDateTime getDate()

      Returns the Date of Vaccination.
      Returns:
        the date

    - #### setDate

          public void setDate(EffectiveDateTime date)

      Sets the Date of Vaccination.
      Parameters:
        `date` - Specifies the Date of Vaccination.

    - #### getStatus

          public java.lang.String getStatus()

      Returns the Status of Vaccination.
      Returns:
        the status

    - #### setStatus

          public void setStatus(java.lang.String status)

      Sets the Status of Vaccination.
      Parameters:
        `status` - Specifies the Status of Vaccination.

    - #### getMoodOfVaccine

          public java.lang.String getMoodOfVaccine()

      Returns the Mood Of Vaccine.
      Returns:
        the moodOfVaccine

    - #### setMoodOfVaccine

          public void setMoodOfVaccine(java.lang.String moodOfVaccine)

      Sets the Mood Of Vaccine.
      Parameters:
        `moodOfVaccine` - Specifies the Mood Of Vaccine.